# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

add_subdirectory( pics )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libtdegames
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### kblackbox (executable) ####################

tde_add_executable( kblackbox AUTOMOC
  SOURCES kbbgfx.cpp kbbgame.cpp util.cpp main.cpp
  LINK tdecore-shared tdeui-shared tdeio-shared tdegames-shared
  DESTINATION ${BIN_INSTALL_DIR}
)


##### icons #####################################

tde_install_icons( kblackbox )


##### other data ################################

tde_create_translated_desktop( kblackbox.desktop )

install( FILES kblackboxui.rc
  DESTINATION ${DATA_INSTALL_DIR}/kblackbox
)
